BondLib.Spice.NPNlat

# .BondLib.Spice.NPNlat

Spice-style laterally diffused NPN bipolar transistor

## Information

The NPNlat element of the Spice bond graph library implements a full-fledges Spice-stye Gummel-Poon model of the laterally diffused NPN bipolar transistor [1-3]. The model contains a NPNint model implementing the inner parts of the NPN transistor up to the internal nodes.

The NPN bipolar transistor is a directed FourPort. The direction of positive power flow is assumed into the model at the base, B, and at the collector, C, whereas it is assumed out of the model at the emitter, E, and at the Heat port.

The causality of the NPN model is free.

    Parameters:

     Level:   Transistor modeling level (default value = 2)
                Level = 1: Ebers-Moll model
                Level = 2: Gummel-Poon model

     Area:    Relative area occupied by device (default value = 1) Levels 1,2

    DC Model Parameters:

     BF:      Maximum forward current gain at reference temperature (default value = 100) Levels 1,2

     BR:      Maximum reverse current gain at reference temperature (default value = 1) Levels 1,2

     IS:      Saturation current at reference temperature (default value = 1e-16 Amp) Levels 1,2

     NF:      Forward current emission coefficient (default value = 1) Levels 1,2

     NR:      Reverse current emission coefficient (default value = 1) Levels 1,2

     ISS:     Saturation current for injection (default value = IS Amp) Levels 2

    Low Current Beta Degradation Effect Parameters:

     C4:      Base-collector leakage current coefficient (default value = 0) Levels 2

     ISC:     Base-collector leakage saturation current at reference temperature (default value = 0 Amp) Levels 2
              ISCeff = if ISC > 0 then ISC else C4*IS

     C2:      Base-emitter leakage current coefficient (default value = 0) Levels 2

     ISE:     Base-emitter leakage saturation current at reference temperature (default value = 0 Amp) Levels 2
              ISEeff = if ISE > 0 then ISE else C2*IS

     NC:      Low-current base-collector leakage emission coefficient (default value = 2) Levels 2

     NE:      Low-current base-emitter leakage emission coefficient (default value = 1.5) Levels 2

    High Current Beta Degradation Effect Parameters:

     IKF:     Corner for forward beta high-current roll-off (default value = ∞ Amp) Levels 2

     IKR:     Corner for reverse beta high-current roll-off (default value = ∞ Amp) Levels 2

    Base Width Modulation Parameters:

     VAF:     Forward early voltage (default value = ∞ Volt) Levels 1,2

     VAR:     Reverse early voltage (default value = ∞ Volt) Levels 2

    Parasitic Resistor Parameters:

     IRB:     Current where base resistance falls halfway to minimum value (default value = ∞ Amp) Levels 2

     RB:      Zero-bias base resistance (default value = 0 Ohm) Levels 2

     RBM:     Minimum base resistance at high currents (default value = RB Ohm) Levels 2

     RC:      Collector resistance (default value = 0 Ohm) Levels 2

     RE:      Emitter resistance (default value = 0 Ohm) Levels 2

    Junction Capacitor Parameters:

     CJC:     Zero-bias base-collector depletion capacitance at reference temperature (CJC > 0) (default value = 1e-12 F) Levels 1,2

     MJC:     Base-collector junction grading coefficient (default value = 0.33) Levels 1,2

     VJC:     Base-collector built-in potential at reference temperature (default value = 0.75 Volt) Levels 1,2

     CJE:     Zero-bias base-emitter depletion capacitance at reference temperature (CJE > 0) (default value = 1e-12 F) Levels 1,2

     MJE:     Base-emitter junction grading coefficient (default value = 0.33) Levels 1,2

     VJE:     Base-emitter built-in potential at reference temperature (default value = 0.75 Volt) Levels 1,2

     CJS:     Zero-bias substrate depletion capacitance at reference temperature (CJS > 0) (default value = 1e-12 F) Levels 1,2

     MJS:     Substrate junction grading coefficient (default value = 0.33) Levels 1,2

     VJS:     Substrate built-in potential at reference temperature (default value = 0.75 Volt) Levels 1,2

     XCJC:    Fraction of base-collector depletion capacitance connected to internal base node (default value = 1) Levels 1,2

     FC:      Depletion capacitance factor for linearization (default value = 0.5) Levels 2

    Transit Time Parameters:

     TF:      Ideal forward transit time (default value = 0 sec) Levels 1,2

     TR:      Ideal reverse transit time (default value = 0 sec) Levels 1,2

    Temperature Compensation and Area Parameters:

     Tnom:    Reference temperature (default value = 300.15 K) Levels 1,2

     XTI:     Saturation current temperature exponent (default value = 3) Levels 1,2

     XTB:     Forward and reverse beta temperature coefficient (default value = 0) Levels 1,2

     EG:      Energy gap for temperature effect on saturation current (default value = 1.11 Volt) Levels 1,2

     TRB1:    Linear temperature coefficient of zero-bias base resistance (default value = 0 1/K) Levels 2

     TRB2:    Quadratic temperature coefficient of zero-bias base resistance (default value = 0 1/(K2)) Levels 2

     TRM1:    Linear temperature coefficient of mimimum base resistance (default value = 0 1/K) Levels 2

     TRM2:    Quadratic temperature coefficient of minimum base resistance (default value = 0 1/(K2)) Levels 2

     TRC1:    Linear temperature coefficient of collector resistance (default value = 0 1/K) Levels 2

     TRC2:    Quadratic temperature coefficient of collector resistance (default value = 0 1/(K2)) Levels 2

     TRE1:    Linear temperature coefficient of emitter resistance (default value = 0 1/K) Levels 2

     TRE2:    Quadratic temperature coefficient of emitter resistance (default value = 0 1/(K2)) Levels 2

    Numerical Parameters:

     EMin:    Minimum exponent for linearization of junction current (default value = -100) Levels 1,2

     EMax:    Maximum exponent for linearization of junction current (default value = 40) Levels 1,2

     GminDC:  Leakage conductance (default value = 1e-19 Mho) Levels 1,2

References:

1. Cellier, F.E. (1991), Continuous System Modeling, Springer-Verlag, New York.
2. Hild, D.R. and F.E. Cellier (1994), "Object-oriented electronic circuit modeling using Dymola," Proc. OOS'94, SCS Object Oriented Simulation Conference, Tempe, AZ, pp.68-75.
3. Hild, D.R. (1993), Circuit Modeling in Dymola, MS Thesis, Dept. of Electr. & Comp. Engr., University of Arizona, Tucson.
4. Massobrio, G. and P. Antognetti (1993), Semiconductor Device Modeling with Spice, 2nd edition, McGraw Hill, New York.
5. Schweisguth, M.C. and F.E. Cellier (1999), "A bond graph model of the bipolar junction transistor," Proc. SCS Intl. Conf. on Bond Graph Modeling, San Francisco, CA, pp.344-349.
6. Schweisguth, M.C. (1997), Semiconductor Modeling with Bondgraphs, MS Thesis, Dept. of Electr. & Comp. Engr., University of Arizona, Tucson.

Generated at 2026-05-09T18:18:56Z by OpenModelicaOpenModelica 1.26.7 using GenerateDoc.mos